summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall2010-05-13 01:00:44 +0200
committer David Somero2010-05-13 01:00:44 +0200
commit1fc9d278873636798c829f4cc645003176ad77d7 (patch)
tree111c03314324928741996158c6d600b375344ea9
parente4fbc400eabcb6954f369c4292e4ee5e77209c02 (diff)
downloadslackbuilds-1fc9d278873636798c829f4cc645003176ad77d7.tar.gz
system/daa2iso: Added to 13.0 repository
-rw-r--r--system/daa2iso/README3
-rw-r--r--system/daa2iso/daa2iso.SlackBuild91
-rw-r--r--system/daa2iso/daa2iso.info10
-rw-r--r--system/daa2iso/slack-desc20
4 files changed, 124 insertions, 0 deletions
diff --git a/system/daa2iso/README b/system/daa2iso/README
new file mode 100644
index 0000000000..ecab5dff3f
--- /dev/null
+++ b/system/daa2iso/README
@@ -0,0 +1,3 @@
+daa2iso is a command-line tool for converting DAA and GBI images to the
+ISO format. See file daa2iso.txt for more documentation.
+
diff --git a/system/daa2iso/daa2iso.SlackBuild b/system/daa2iso/daa2iso.SlackBuild
new file mode 100644
index 0000000000..011671ae22
--- /dev/null
+++ b/system/daa2iso/daa2iso.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for daa2iso
+
+# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# All rights reserved.
+#
+# aka dive in #slackware on freenode.net
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. FURTHERMORE I AM NOT LIABLE IF
+# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
+
+
+PRGNAM=daa2iso
+VERSION=${VERSION:-0.1.7c}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM.zip -d $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION/src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make
+
+# Makefile does not support DESTDIR.
+install -m 755 -D $PRGNAM $PKG/usr/bin/$PRGNAM
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cd $TMP/$PRGNAM-$VERSION
+cp COPYING daa2iso.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
+
diff --git a/system/daa2iso/daa2iso.info b/system/daa2iso/daa2iso.info
new file mode 100644
index 0000000000..1a7287c748
--- /dev/null
+++ b/system/daa2iso/daa2iso.info
@@ -0,0 +1,10 @@
+PRGNAM="daa2iso"
+VERSION="0.1.7c"
+HOMEPAGE="http://aluigi.org/mytoolz.htm#daa2iso"
+DOWNLOAD="http://aluigi.org/mytoolz/daa2iso.zip"
+MD5SUM="35703f1ca8f8c5168ee90e912d138409"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@unrealize.co.uk"
+APPROVED="dsomero"
diff --git a/system/daa2iso/slack-desc b/system/daa2iso/slack-desc
new file mode 100644
index 0000000000..fa33f4d7fe
--- /dev/null
+++ b/system/daa2iso/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+daa2iso: daa2iso (converts DAA and GBI images to the ISO)
+daa2iso:
+daa2iso: A command-line tool for converting DAA and GBI images to the ISO
+daa2iso: format.
+daa2iso: See file daa2iso.txt for more documentation.
+daa2iso: Released under the GNU GPL license.
+daa2iso:
+daa2iso:
+daa2iso: Homepage: http://aluigi.org/mytoolz.htm#daa2iso
+daa2iso:
+daa2iso:
+